Subject: Re: [Curdle] sntrup761x25519-sha512

From: Mouse <[email-masked]>
Date: Tue, 16 May 2023 13:10:06 -0400 (EDT)

>> (Work on how to use those curves can start earlier, but publication
>> should wait until algorithms are official.
> Can't do interop experiments without putting entries in the IANA
> registries [...]

Hmm?  I can't see why not.  I could (putatively) implement something
today and call it FredBloggsKex; if (say) PuTTY does likewise, we can
interop test with one another even if we never even so much as tell
anyone about it, much less convince the IETF to register the name.

Can't do *open to the world* interop testing, maybe.  But even then,
you can do _almost_ all interop testing with a name@FQDN extension name
rather than the final name.  _Most_ interop problems won't care what
name you advertise it under, after all.

/~\ The ASCII				  Mouse
\ / Ribbon Campaign
 X  Against HTML		[email-masked]
/ \ Email!	     7D C8 61 52 5D E7 2D 39  4E F1 31 3E E8 B3 27 4B